#### Previous topic

scipy.interpolate.PiecewisePolynomial.__call__

#### Next topic

scipy.interpolate.PiecewisePolynomial.derivative

# scipy.interpolate.PiecewisePolynomial.append

`PiecewisePolynomial.``append`(xi, yi, order=None)

  Append a single point with derivatives to the PiecewisePolynomial

  Parameters:

  xi : float

  > Point to add.

  yi : array_like

  > yi is the list of derivatives known at xi.

  order : int or None, optional

  > A polynomial order, or instructions to use the highest possible order.